/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * @author  Aiyun Tang
 * @mail aiyun.tang@gmail.com
 */
package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.Data;

@Data
public final class AdminClientCreateEvent {

    /**
     * 下单用户id
     */
    private Long uid;



    //----------下面都是收货人信息
    /**
     * 收货人姓名
     */
    private String name;
    /**
     * 公司
     */
    private String company;
    /**
     * 唛头
     */
    private String maitou;
    /**
     * 手机号码(不带区号)
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 地址
     */
    private String address;
    /**
     * 国家简称
     */
    private String iso2;
    /**
     * 国家区号
     */
    private Integer dialCode;

    private Boolean  defaultContact;

}
