package cn.iocoder.yudao.framework.apollo.core.event;

import cn.iocoder.yudao.framework.apollo.core.dto.ChannelClearancePriceDto;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ChannelPriceEvent {
    /**
     * input: 包装类型
     */
    private String packingType;

    /**
     * input: 包装类型
     */
    private List<String> packingTypes;

    /**
     * input: 渠道id
     */
    private Long channelId;



    /**
     * output: 清关费价格列表
     */
    private List<ChannelClearancePriceDto> channelClearancePriceDtoList;

    /**
     * output：空运重量上限.
     */
    private BigDecimal airWeightLimit;
}
