package cn.iocoder.yudao.framework.apollo.core.event;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.Date;


/**
 * 根据客户的订单和报价单查询客户进入公海池的时间和推荐客户类型
 *
 * @author zhengYi
 */
@Data
@AllArgsConstructor
public class QueryEstimateEnterOpenSeaTimeEvent {


    /**
     * 请求参数：客户ID
     */
    private Long customerId;

    /**
     * 请求参数：客户创建时间
     */
    private Date customerCreateTime;

    /**
     * 新的客户类型，不能查老的。因为可能没有更新
     */
    private String transportType;

    /**
     * 返回: 预计进入公海时间
     */
    private Date returnEstimateEnterOpenSeaTime;


    /**
     * 返回：客户状态
     */
    private Integer returnEstimateCustomerStatus;

}
