package cn.iocoder.yudao.framework.apollo.core.vo;

import cn.iocoder.yudao.framework.apollo.core.dto.ExternalWarehouseDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ApplyInfoVO {

    @ApiModelProperty(value = "字段说明")
    private String name;

    @ApiModelProperty(value = "类型 0 字符串 1 外部仓时间地址json ")
    private Integer type = 0;

    @ApiModelProperty(value = "原值")
    private String orgValue;

    @ApiModelProperty(value = "新值")
    private String newValue;

    @ApiModelProperty(value = "原外部仓信息值")
    private List<ExternalWarehouseDto> orgExternalWarehouse;

    @ApiModelProperty(value = "新外部仓信息值")
    private List<ExternalWarehouseDto> newExternalWarehouse;

    public ApplyInfoVO() {
    }

    public ApplyInfoVO(String name, Integer type, String orgValue, String newValue) {
        this.name = name;
        this.type = type;
        this.orgValue = orgValue;
        this.newValue = newValue;
    }

    public ApplyInfoVO(String name, String newValue, String orgValue) {
        this.type = 0;
        this.name = name;
        this.newValue = newValue;
        this.orgValue = orgValue;
    }
}
